package lab.game;
import java.util.*;

public class King extends Piece{
  public King(char x, int y, boolean color, String name){
    super(x, y, color, name);
  }

  /**
   * Check if can move to (X, Y)
   * @author Omiid
   * @param x The X-Axis
   * @param y The Y-Axis
   * @return true if can move
   */
  public boolean canMove(char x, int y){ // Ignore the presence of other pieces
    if( Math.abs(this.x - x) < 2 && Math.abs(this.y - y) < 2 ){

      return true;
    }
    return false;
  }

  /**
   * Check if way is free to go
   * @param pieces ArrayList of all pieces
   * @param x The X-Axis
   * @param y The Y-Axis
   * @author Omiid
   * @return true if is free to go
   */
  public boolean checkWay(ArrayList<Piece> pieces, char x, int y){
    return true;
  }
}
