package lab.game;
import java.util.*;

public class Knight extends Piece{
  public Knight(char x, int y, boolean color, String name){
    super(x, y, color, name);
  }

  /**
   * Check if can move to (X, Y)
   * @author Omiid
   * @param x The X-Axis
   * @param y The Y-Axis
   * @return true if can move
   */
  public boolean canMove(char x, int y){
    int X[] = { 2, 1, -1, -2, -2, -1, 1, 2 };
    int Y[] = { 1, 2, 2, 1, -1, -2, -2, -1 };
    for (int i = 0; i < 8; i++) {
        if( y == this.y + Y[i] && x == (char)(this.x + X[i]) ){

          return true;
        }
    }
    return false;
  }

  /**
   * Check if way is free to go
   * @param pieces ArrayList of all pieces
   * @param x The X-Axis
   * @param y The Y-Axis
   * @author Omiid
   * @return true if is free to go
   */
  public boolean checkWay(ArrayList<Piece> pieces, char x, int y){
    return true;
  }
}
